{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.eGet(IZZ)Ljava/lang/Object;",
  "numberOfDefinitions": 1,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.basicGetRedefinedTransition()Lorg/eclipse/uml2/uml/Transition;": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicGet(IZZ)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getElementImports()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.getTriggers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.getOwnedElements()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotificationRequired()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getPackageImports()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.getRedefinitionContexts()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.basicGetNamespace()Lorg/eclipse/uml2/uml/Namespace;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetOwner()Lorg/eclipse/uml2/uml/Element;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.basicGetSource()Lorg/eclipse/uml2/uml/Vertex;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotify(Lorg/eclipse/emf/common/notify/Notification;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.getRedefinedTransition()Lorg/eclipse/uml2/uml/Transition;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getOwnedMembers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.getTarget()Lorg/eclipse/uml2/uml/Vertex;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.basicGetContainer()Lorg/eclipse/uml2/uml/Region;": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResource()Lorg/eclipse/emf/ecore/resource/Resource;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getVisibility()Lorg/eclipse/uml2/uml/VisibilityKind;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.basicGetTarget()Lorg/eclipse/uml2/uml/Vertex;": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResolveProxy(Lorg/eclipse/emf/ecore/InternalEObject;)Lorg/eclipse/emf/ecore/EObject;": 1,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IILjava/lang/Object;Ljava/lang/Object;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getCacheAdapter()Lorg/eclipse/uml2/common/util/CacheAdapter;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.getNamespace()Lorg/eclipse/uml2/uml/Namespace;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.getEffect()Lorg/eclipse/uml2/uml/Behavior;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.getContainer()Lorg/eclipse/uml2/uml/Region;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getOwner()Lorg/eclipse/uml2/uml/Element;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.getKind()Lorg/eclipse/uml2/uml/TransitionKind;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.getRedefinedElements()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.getSource()Lorg/eclipse/uml2/uml/Vertex;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.isLeaf()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TransitionImpl.basicGetEffect()Lorg/eclipse/uml2/uml/Behavior;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getMembers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectContainmentWithInverseEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[II)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getImportedMembers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ProtocolTransitionImpl$ReferredEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getName()Ljava/lang/String;": 1
  }
}